<?php

session_start();

require_once ("../../config/Cado.php");
require_once ("../empresa/cEmpresa.php");
$oEmpresa = new cEmpresa();
require_once ("../producto/cProducto.php");
$oProducto = new cProducto();
require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();
require_once ("../cotizacion/cCotizacion.php");
$oCotizacion = new cCotizacion();

require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora();
require_once("../formatos/formato.php");
require_once("../formatos/numletras.php");

	$cotid=$_POST['cotid'];

	$dtscot= $oCotizacion->mostrarUno($cotid);
	$dtcot= mysqli_fetch_array($dtscot);
	$cot_numdoc	=$dtcot['tb_cotizacion_numdoc'];
	$cot_fec=$dtcot['tb_cotizacion_fec'];
	$cot_tot=$dtcot['tb_cotizacion_tot'];
	$cot_clidoc	=$dtcot['tb_cliente_doc'];
	$cot_clinom	=$dtcot['tb_cliente_nom'];
	$cot_clidir	=$dtcot['tb_cliente_dir'];
	$cot_dia=$dtcot['tb_cotizacion_dia'];
	$emp_id	=$dtcot['emp'];
	$cot_monid	=$dtcot['tb_moneda_id'];
	
	mysqli_free_result($dtscot);


$dtsi=$oImpresora->mostrarUno(1);
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dts);


$dts=$oEmpresa->mostrarUno($emp_id);
$dt = mysqli_fetch_array($dts);
	$emp_ruc=$dt['tb_empresa_ruc'];
	$emp_nomcom=$dt['tb_empresa_nomcom'];
	$emp_razsoc=$dt['tb_empresa_razsoc'];
	$emp_dir=$dt['tb_empresa_dir'];
	$emp_dir2=$dt['tb_empresa_dir2'];
	$emp_tel=$dt['tb_empresa_tel'];
	$emp_ema=$dt['tb_empresa_ema'];
	$emp_rep=$dt['tb_empresa_rep'];
	$emp_fir=$dt['tb_empresa_fir'];
mysqli_free_result($dts);


$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='cotizacion/cotizacion_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;

$data['emp_razsoc'] =$emp_razsoc;
$data['emp_nomcom'] =$emp_nomcom;
$data['emp_ruc']	=$emp_ruc;
$data['emp_dir1']	=$emp_dir;
$data['emp_dir2']	=$emp_dir2;
$data['emp_tel']	=$emp_tel;
$data['emp_rep']	=$emp_rep;


if($cot_monid==1){
	$mon_let = 'PEN';	
}else if($cot_monid==2){
	$mon_let = 'USD';
}


if($cot_monid=="1"){
	$lblmon=" SOLES";
}else if($cot_monid=="2"){
	$lblmon=" DOLARES";
}

if($cot_dia=="0"){
	$lblpag="CONTADO";
}else{
	$lblpag="A ".$cot_monid." DIA(S)";
}

$data['cot_forpag'] = $lblpag;
$data['cot_numdoc'] = $cot_numdoc;
$data['cot_fec'] = $cot_fec;
$data['cot_clidoc'] = $cot_clidoc;
$data['cot_clinom'] = $cot_clinom;
$data['cot_clidir'] = $cot_clidir;
$data['cot_lblmon'] = $lblmon;
$data['cot_letmon']	= numtoletras($cot_tot).$lblmon;
$data['cot_tot']	= $cot_tot;

$data['cot_val']	= moneda_mysql($cot_tot/1.18);
$data['cot_igv']	= moneda_mysql($cot_tot-$data['cot_val']);

$dtsdetcot =$oCotizacion->mostrarCotizaciondetalle($cotid);
$num_rows= mysqli_num_rows($dtsdetcot);
if($num_rows>=1){

	while($dt1 = mysqli_fetch_array($dtsdetcot))
	{
		$detcot_pronom = $dt1["tb_cotizaciondetalle_nom"];
		$detcot_marnom = $dt1["tb_marca_nom"];
		$detcot_can =  $dt1["tb_cotizaciondetalle_can"];
		$detcot_valuni = $dt1["tb_cotizaciondetalle_valuni"];
		$detcot_preuni = $detcot_valuni * 1.18;
		$detcot_pretot = $detcot_preuni * $detcot_can;
		$detcot_uni = $dt1["tb_unidad_abr"];
		
		$data['cotdet_pronom'][]= $detcot_pronom;
		$data['cotdet_marnom'][]= $detcot_marnom;
		$data['cotdet_can'][]= $detcot_can * 1;	
		$data['cotdet_preuni'][]=$detcot_preuni;
		$data['cotdet_pretot'][]=$detcot_pretot;
		$data['cotdet_uninom'][]=$detcot_uni;

	}
	mysqli_free_result($dtsdetcot);	

}else{
	$data="";
}

echo json_encode($data);




?>